# Uses of Interface
org.eclipse.equinox.p2.metadata.IUpdateDescriptor

Packages that use IUpdateDescriptor
Package
Description
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.

## Uses of IUpdateDescriptor in org.eclipse.equinox.p2.metadata

Methods in org.eclipse.equinox.p2.metadata that return IUpdateDescriptor
Modifier and Type
Method
Description
`static IUpdateDescriptor`
MetadataFactory.`createUpdateDescriptor(String id, VersionRange range, int severity, String description)`
Creates a new update descriptor object.
`static IUpdateDescriptor`
MetadataFactory.`createUpdateDescriptor(String id, VersionRange range, int severity, String description, URI location)`
Create and return a new update descriptor `IUpdateDescriptor` with the specified values.
`static IUpdateDescriptor`
MetadataFactory.`createUpdateDescriptor(Collection<IMatchExpression<IInstallableUnit>> descriptors, int severity, String description, URI location)`
`IUpdateDescriptor`
IInstallableUnit.`getUpdateDescriptor()`
Returns information about what this installable unit is an update of.
`IUpdateDescriptor`
MetadataFactory.InstallableUnitDescription.`getUpdateDescriptor()`
Returns the UpdateDescriptor for this IU
Methods in org.eclipse.equinox.p2.metadata with parameters of type IUpdateDescriptor
Modifier and Type
Method
Description
`void`
MetadataFactory.InstallableUnitDescription.`setUpdateDescriptor(IUpdateDescriptor updateInfo)`
Set the update descriptor for the installable unit.